﻿/*common*/
.storefront input[type="text"], .storefront input[type="datetime"] {padding-top: 0.15em!important;padding-bottom: 0.15em!important;}
.storefront input[type="button"], .storefront input[type="submit"] {padding: 0.15em 1em!important;}
.storefront input[type="button"].navigate,.storefront input[type="submit"] { background: #0077dd;color: #fff;font-weight: bold;}
table.sf-list { width: 646px;}
table.sf-list th, table.sf-list td, .sf-box, .sf-note { padding: 8px;}
table.sf-list th { /*font-size: 90%;*/}
.sf-box, table.sf-list td, .sf-note {border: 1px solid #ddd;}
.sf-box, table.sf-list td {background-color: #f4f4f4;}
.storefront p.sf-note { margin-left: 40px; margin-right: 40px;/*font-size: 75%;*/font-weight: bold}
table.sf-list th, table.sf-list td {text-align: left}
table.sf-list th.right, table.sf-list td.right {text-align: right}
table.sf-list th.center, table.sf-list td.center {text-align: center}
table.sf-list td.right input[type="text"] {text-align: right}
div.internal-box2-inner.storefront h3 { /*font-size: 90%;*/line-height: 1.5;padding-bottom: 10px;}
div.internal-box2-inner.storefront table.sf-list td h3 { font-size: 112.5%;}
table.sf-list td{ border-left: none;border-right: none;}
table.sf-list td:first-child {border-left: 1px solid #ddd;}
table.sf-list td.last-child {border-right: 1px solid #ddd;}
table.sf-list tr.divider { height: 10px;}
table.sf-list tfoot tr td{ /*color: #690;*/font-weight: bold; border: none;background: none;line-height: 2em;}
table.sf-list tfoot tr td input[type="submit"]{ background: #888;color: #fff;font-weight: normal;}
table.sf-list tfoot tr td:first-child{border: none;}
table.sf-list tfoot tr td input { font-size: 85%;}
table.sf-list tfoot tr td .comment { font-size: 75%;font-style: italic;color: #555;font-weight: normal;line-height: 3em;}

.storefront .infoRow { float: none;margin-left: 0;margin-right: 0; padding: 0}
.storefront .infoRow.floatleft { float: left;}
.storefront .infoRow label, .storefront .infoRow span {display:inline-block;max-width: 50%; /*font-size:0.75em;*/ padding: 0.375em 0 0 0;word-wrap: break-word;}
.storefront .infoRow label, .storefront .infoRow span:first-child {min-width: 40%;text-align: right; font-weight:bold;vertical-align: top; padding: 0.375em 0.875em 0 0;}
.storefront .address-confirm .sf-address .infoRow span:first-child{ min-width: 20%;}
.storefront .address-confirm .sf-address { width: 98%;}
.storefront .shipping-review .sf-address .infoRow span:first-child{ min-width: 19%;}
.storefront .shipping-review .sf-address { width: 100%;}
.patron-address {margin-left: 28%; width: 37%}
.patron-address .sf-box{width: 100%}
.storefront .patron-address .infoRow span{ max-width: 100%;}
.storefront .patron-address .sf-address .infoRow span:first-child{ width: 0;min-width: 0;padding: 0;display: none;}
.storefront .patron-address .sf-address .infoRow{ padding: 0;}
.storefront .patron-address .sf-address { width: 98%;}
.storefront .patron-address .sf-address-box.sf-box { margin-bottom: 0;}
.storefront .infoRow input[type="text"], .storefront .infoRow input[type="datetime"], .storefront .infoRow input[type="password"], .storefront .infoRow select {padding-top: 0.188em;width: 14.5em; border: 1px solid #828282;}
.storefront .infoRow select.wide, .storefront .infoRow input.wide {width: 320px;}
.storefront .infoRow span.orderResults:first-child{min-width: 45%}
.storefront .sf-address .infoRow span.orderStatus:first-child{ min-width: 100%;text-align: center;/*color: #669900;*/}
div.storefront fieldset p  {margin: 15px 28px 15px 28px;}
.storefront .sf-btns-cntrd{ text-align: center;margin: 12px;}

.storefront.internal-box2-inner {width: 702px;}
.storefront.internal-box2-inner  fieldset{padding: 10px 0 10px 0;margin: 15px 28px 0 28px;font-weight: normal;border: 1px solid #aaa;width: 646px;}
.storefront.internal-box2-inner  fieldset legend{margin-left: 1em; /*font-size: 0.75em;*/ color:#999}
fieldset table.sf-list {margin: 5px; /*font-size: 0.8em;*/width: 636px;}
fieldset table.sf-list {margin: 5px; /*font-size: 0.8em;*/width: 636px;}
fieldset table.sf-list tr {width: 634px;}
fieldset table.sf-list tr td.name, fieldset table.sf-list tr th.name{width: 50%;}
fieldset table.sf-list tfoot tr td{ color: #555; font-weight: normal; line-height: 0.75em;}
fieldset table.sf-list tfoot tr.total td{ font-weight: bold; font-size: 120%;}
fieldset table.sf-list tfoot tr:first-child td{ padding-top: 18px;}

/*shopping cart validation*/
div.sf-total { float: right;margin-right: 27px;margin-bottom: 15px; }
div.sf-total table.sf-list { width: 636px;margin: 5px; }
div.sf-total table.sf-list tr {width: 634px;}
div.sf-total table.sf-list tr td.name, fieldset table.sf-list tr th.name{width: 50%;}
div.sf-total table.sf-list tfoot tr td{ line-height: 0.75em;}
div.sf-total table.sf-list tfoot tr.total td{ font-weight: bold; font-size: 120%;}
div.sf-total table.sf-list tfoot tr:first-child td{ padding-top: 18px;}
div.sf-total table.sf-list tr td input, table.sf-list .sub-total tr td input { font-size: 100%;}
div.sf-total table.sf-list tfoot td.center, table.sf-list .sub-total td.center { padding-top: 9px;}
div.sf-total table.sf-list tfoot td.center { padding-top: 9px;width: 80px;}
div.sf-total table.sf-list tfoot td.right { padding-top: 9px;width: 58px;}
fieldset table.sf-list tfoot.sub-total tr td { font-weight: bold;}
div.storefront fieldset p.order-error{ color: red;margin: 0 15px;}
div.sf-total table.sf-list tfoot tr td .comment { font-size: 100%;}

div.storefront hr{border-color: #D0D0D0 -moz-use-text-color #FFFFFF;border-style: solid none;border-width: 1px 0;clear: both;height: 0;margin: 12px 24px;line-height: 0;overflow: hidden;padding: 0;text-align: left;white-space: nowrap;}

.storefront .infoRow .field-validation-error, .storefront .infoRow .field-validation-error span{width: 100%; border: none;color: red; font-weight: normal;text-align: left;}
.storefront .infoRow .field-validation-error{font-size:72%;}
.storefront .infoRow .field-validation-error span{font-size:100%;}
.storefront p .field-validation-error, .storefront p .field-validation-error span{font-size:100%; width: 100%; border: none;color: red; font-weight: normal;text-align: left;}
.storefront .infoRow .field-validation-error span{padding: 0 3px 6px 3px;}
.storefront p .field-validation-error span{padding: 0 3px 6px 3px;}
.storefront .infoRow input.input-validation-error, .storefront .infoRow select.input-validation-error{ border: 1px solid red }
div.storefront .infoRow input[type="image"]{ margin: 6px 0; }
.storefront .infoRow .field-validation-error{display: block;margin-left: 40%; padding-left: 0.875em;}
.storefront .infoRow .field-validation-error span { width: 100%;max-width: 100%;}
.storefront p .field-validation-error{display: block;/*margin-left: 30%;padding-left: 0.875em;*/}
.storefront .infoRow .field-validation-valid, .storefront .infoRow .field-validation-valid span{ display: none;}
.storefront .validation-summary-errors,.storefront .bi-expared-msg { border: 1px solid red;color: red;margin: 12px 28px; padding-top: 12px; font-weight: normal;}
.storefront .validation-summary-errors li,.storefront .bi-expared-msg li{ color: red;}
.storefront .validation-summary-valid{ display: none;}


/*billing information*/
.sf-billing-info .sf-box, .sf-address-box.sf-box { margin: 15px 28px 15px 28px;}
.sf-billing-info .card, .sf-billing-info .sf-address,  .sf-address-box .sf-address{ float: left; width: 49%}
.storefront .sf-address .infoRow span:first-child{ min-width: 40%;}
.sf-billing-info .card {border-right: 1px solid #ddd}
.sf-billing-info .saved select { width: 10em;}
.sf-billing-info .infoRow .cvvtooltip{ font-size: 80%;}
.sf-billing-info .saved input[type="image"] { float: right;}
.storefront .sf-billing-info .infoRow input[type="password"] { width: 3em;}
.storefront .sf-billing-info .sf-box p { margin: 0; }


/*Purchase timeline*/
.sf-timeline {margin: 0 5px 20px 5px;position: relative;}
.sf-timeline .item {float: left;width: 25%;border-bottom: 1px solid #ddd;/*font-size: 80%;*/color: #bbb;text-align: center;padding: 3px 0;}
.sf-cart-icon {height: 16px;width: 21px;background-image: url(../Images/sf-cart.png);position: absolute;top: 2px;}
.step-shipping .sf-cart-icon{right: 75%;}
.step-billing .sf-cart-icon{right: 50%;}
.step-review .sf-cart-icon{right: 25%;}
.step-finish .sf-cart-icon{right: 0;}
.step-shipping .item.shipping, .step-billing .item.shipping,.step-billing .item.billing,
.step-review .item.shipping, .step-review .item.billing, .step-review .item.review,.step-finish .item.item{color: #54b4e2;border-color: #54b4e2;}
.step-shipping .item.shipping, .step-billing .item.billing, .step-review .item.review, .step-finish .item.finish { padding-right: 22px;}
.storefront .validation-summary-errors.blackError, .storefront .validation-summary-errors.blackError ul, .storefront .validation-summary-errors.blackError ul li { border: 0; margin: 0; padding: 0;color: #555555; }
.storefront .validation-summary-errors.blackError { margin: 0 28px 15px 28px; }
.storefront .validation-summary-errors.blackError ul { list-style: none; }

/*Create Account*/
.storefront .create-account .infoRow label, .storefront .create-account .infoRow span:first-child{ min-width: 30%;}
.storefront .create-account .infoRow .field-validation-error{margin-left: 30%;padding-left: 0.875em;width: 70%;}

/*DC One Senior*/
.cardSummary.dcOne .infoRow{padding: 0.375em 0 0 0;}

/* Storefront Product List Note*/
#product_list_note p.sf-note { margin-left: 28px; margin-right: 28px;}
#product_list_note div.left_wide { width: 430px}
#product_list_note ul.links2 li {padding-bottom: 10px}

/*Product List*/
.productListCategory { background-color: rgb(244,244,244); border: 1px solid #ddd;width: 682px; }
.productListItemRight { float: right; margin: 10px 19px 19px 0; }
.productImage { width: 150px; float: left; margin-top: 10px; margin-bottom: 10px; margin-left: 19px; overflow: hidden; }
